Bug 130637 - up2date shows traceback errors randomly
up2date shows traceback errors randomly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-23 04:14 EDT by Mohamed Eldesoky
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-05 03:42:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohamed Eldesoky 2004-08-23 04:14:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
When updating some machines with this version above, then doing
up2date -l (using yum repository) it shows this error

up2date -l
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1174, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 772, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1066, in batchRun
    batch.run()
  File "up2dateBatch.py", line 62, in run
  File "up2dateBatch.py", line 97, in __findPackagesToUpdate
  File "packageList.py", line 157, in addGlobs
  File "rhnPackageInfo.py", line 232, in getAvailablePackageList
  File "rhnPackageInfo.py", line 166, in availablePackageList
  File "rpcServer.py", line 304, in doCall
  File "repoDirector.py", line 20, in listPackages
  File "rpmSource.py", line 226, in listPackages
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
266, in listPackages
    hdr = rd.getHeader([name,ver,rel,epoch,arch, "0",channel['label']])
  File "repoDirector.py", line 31, in getHeader
  File "rpmSource.py", line 210, in getHeader
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
100, in getHeader
    hdr = rpmUtils.readHeaderBlob(hdrBuf)
TypeError: readHeaderBlob() takes exactly 2 arguments (1 given)


While on other machines with the same exact configurations and
versions, it works properly !!

Version-Release number of selected component (if applicable):
up2date-4.2.33-1

How reproducible:
Sometimes

Steps to Reproduce:
1. Update your up2date to version up2date-4.2.33-1
2. do up2date -l using a yum repository
3. see the error message
    

Actual Results:  up2date -l
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1174, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 772, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1066, in batchRun
    batch.run()
  File "up2dateBatch.py", line 62, in run
  File "up2dateBatch.py", line 97, in __findPackagesToUpdate
  File "packageList.py", line 157, in addGlobs
  File "rhnPackageInfo.py", line 232, in getAvailablePackageList
  File "rhnPackageInfo.py", line 166, in availablePackageList
  File "rpcServer.py", line 304, in doCall
  File "repoDirector.py", line 20, in listPackages
  File "rpmSource.py", line 226, in listPackages
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
266, in listPackages
    hdr = rd.getHeader([name,ver,rel,epoch,arch, "0",channel['label']])
  File "repoDirector.py", line 31, in getHeader
  File "rpmSource.py", line 210, in getHeader
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
100, in getHeader
    hdr = rpmUtils.readHeaderBlob(hdrBuf)
TypeError: readHeaderBlob() takes exactly 2 arguments (1 given)


Expected Results:  To list the updates available on the repository

Additional info:
Comment 1 Sameh Attia 2004-08-23 09:42:47 EDT
I upgraded to this version on 6 machines and got the same exact 
error. 
Comment 2 Sameh Attia 2004-08-23 09:45:55 EDT
Downgrading to 4.2.16-1 and then upgrading to this version solved the 
problem. Strange? 
Comment 3 Tim Nelson 2004-08-25 02:24:44 EDT
Here's how to fix it; I obviously don't have write access to the
redhat source, so if Adrian could do this, that would be great.
1. Open /usr/share/rhn/up2date_client/repoBackends/yumRepo.py
2. Search for readHeaderBlob
3. Add a second parameter to the function call.  The parameter name is
remoteFilename
4. If your name is Adrian, release to the world
NB: This fixed the problem for me.  I don't pretend to understand the
code, etc, but as soon as I turned the Fedora repo on, up2date would
fail.  As soon as I did this, I could do up2date cfengine, and that
would come down from the Fedora repo.  So it's better than nothing,
anyway, and I'd like it if the fix were in the updates, so I wouldn't
have to do this myself on our servers :).
Comment 4 Adrian Likins 2004-08-26 15:48:25 EDT
this should be fixed in rhel-u3
Comment 5 Mohamed Eldesoky 2004-08-31 04:18:22 EDT
Why on rhel-u3 ??
Should we stop our work until rhel-u3 ??
It something that should be released in an errata !!
Pumbing up priority and severity.
Comment 6 Sameh Attia 2004-08-31 04:23:57 EDT
Sorry, the error happened again. The only solution is to downgrade to 
a lower version. 
 
Comment 7 Sameh Attia 2004-08-31 04:25:22 EDT
An urgent fix is required. We cannot wait till U3 is released. 
Comment 8 Adrian Likins 2004-09-01 14:16:26 EDT
U3 is the next update for RHEL3. It will be available soon. 

Note You need to log in before you can comment on or make changes to this bug.